diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/examples/generic-battery-wifiradio-example.cc ns-3.44/src/energy/examples/generic-battery-wifiradio-example.cc
--- ns-3.43/src/energy/examples/generic-battery-wifiradio-example.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/examples/generic-battery-wifiradio-example.cc	2025-03-09 16:55:49.375371000 -0700
@@ -26,12 +26,12 @@
  *
  */
 
-#include <ns3/core-module.h>
-#include <ns3/energy-module.h>
-#include <ns3/internet-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/wifi-module.h>
+#include "ns3/core-module.h"
+#include "ns3/energy-module.h"
+#include "ns3/internet-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/wifi-module.h"
 
 #include <sstream>
 #include <string>
@@ -44,8 +44,8 @@
 /**
  * Print a received packet
  *
- * \param from sender address
- * \return a string with the details of the packet: dst {IP, port}, time.
+ * @param from sender address
+ * @return a string with the details of the packet: dst {IP, port}, time.
  */
 inline std::string
 PrintReceivedPacket(Address& from)
@@ -60,7 +60,7 @@
 }
 
 /**
- * \param socket Pointer to socket.
+ * @param socket Pointer to socket.
  *
  * Packet receiving sink.
  */
@@ -79,11 +79,11 @@
 }
 
 /**
- * \param socket Pointer to socket.
- * \param pktSize Packet size.
- * \param n Pointer to node.
- * \param pktCount Number of packets to generate.
- * \param pktInterval Packet sending interval.
+ * @param socket Pointer to socket.
+ * @param pktSize Packet size.
+ * @param n Pointer to node.
+ * @param pktCount Number of packets to generate.
+ * @param pktInterval Packet sending interval.
  *
  * Generate Traffic
  */
@@ -114,8 +114,8 @@
 /**
  * Trace function for remaining energy at node.
  *
- * \param oldValue Old value
- * \param remainingEnergy New value
+ * @param oldValue Old value
+ * @param remainingEnergy New value
  */
 void
 RemainingEnergy(double oldValue, double remainingEnergy)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/examples/rv-battery-model-test.cc ns-3.44/src/energy/examples/rv-battery-model-test.cc
--- ns-3.43/src/energy/examples/rv-battery-model-test.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/examples/rv-battery-model-test.cc	2025-03-09 16:55:49.375371000 -0700
@@ -29,7 +29,7 @@
 NS_LOG_COMPONENT_DEFINE("RvBatteryModelTestSuite");
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
  * This example was originally devised as a test, then it was converted
  * to an example.
@@ -56,9 +56,9 @@
     void CreateLoadProfiles();
 
     /**
-     * \param load Load value, in Amperes (A).
-     * \param expLifetime Expected lifetime.
-     * \return False if no error occurs.
+     * @param load Load value, in Amperes (A).
+     * @param expLifetime Expected lifetime.
+     * @return False if no error occurs.
      *
      * Runs simulation with constant load and checks the battery lifetime with
      * known results.
@@ -66,10 +66,10 @@
     bool ConstantLoadTest(double load, Time expLifetime) const;
 
     /**
-     * \param loads Load profile.
-     * \param timeStamps Time stamps.
-     * \param expLifetime Expected lifetime.
-     * \returns False if no error occurs.
+     * @param loads Load profile.
+     * @param timeStamps Time stamps.
+     * @param expLifetime Expected lifetime.
+     * @returns False if no error occurs.
      *
      * Runs simulation with variable load and checks the battery lifetime with
      * known results.
@@ -528,7 +528,7 @@
     }
 
     loads.push_back(0.2227);
-    timeStamps.push_back(Seconds(200.0));
+    timeStamps.push_back(Seconds(200));
 
     profile.loads = loads;
     profile.timeStamps = timeStamps;
@@ -555,7 +555,7 @@
     }
 
     loads.push_back(0.2227);
-    timeStamps.push_back(Seconds(200.0));
+    timeStamps.push_back(Seconds(200));
 
     profile.loads = loads;
     profile.timeStamps = timeStamps;
@@ -638,27 +638,27 @@
     BatteryLifetimeTest test;
     int ret = 0;
 
-    if (test.ConstantLoadTest(0.640, Seconds(2844.0)))
+    if (test.ConstantLoadTest(0.640, Seconds(2844)))
     {
         ret = 1;
         std::cerr << "Problems with constant load test (640mA)." << std::endl;
     }
-    if (test.ConstantLoadTest(0.320, Seconds(6146.0)))
+    if (test.ConstantLoadTest(0.320, Seconds(6146)))
     {
         ret = 1;
         std::cerr << "Problems with constant load test (320mA)." << std::endl;
     }
-    if (test.ConstantLoadTest(0.128, Seconds(16052.0)))
+    if (test.ConstantLoadTest(0.128, Seconds(16052)))
     {
         ret = 1;
         std::cerr << "Problems with constant load test (128mA)." << std::endl;
     }
-    if (test.ConstantLoadTest(0.064, Seconds(32561.0)))
+    if (test.ConstantLoadTest(0.064, Seconds(32561)))
     {
         ret = 1;
         std::cerr << "Problems with constant load test (64mA)." << std::endl;
     }
-    if (test.ConstantLoadTest(0.032, Seconds(65580.0)))
+    if (test.ConstantLoadTest(0.032, Seconds(65580)))
     {
         ret = 1;
         std::cerr << "Problems with constant load test (32mA)." << std::endl;
@@ -766,7 +766,7 @@
     DeviceEnergyModelContainer deviceModels = radioEnergyHelper.Install(devices, sources);
 
     // run simulation
-    Simulator::Stop(Seconds(70000.0));
+    Simulator::Stop(Seconds(70000));
     Simulator::Run();
 
     Time actualLifetime;
@@ -864,7 +864,7 @@
     }
 
     // run simulation
-    Simulator::Stop(Seconds(70000.0));
+    Simulator::Stop(Seconds(70000));
     Simulator::Run();
 
     Time actualLifetime;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/basic-energy-harvester-helper.h ns-3.44/src/energy/helper/basic-energy-harvester-helper.h
--- ns-3.43/src/energy/helper/basic-energy-harvester-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/basic-energy-harvester-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -19,8 +19,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Creates a BasicEnergyHarvester object.
+ * @ingroup energy
+ * @brief Creates a BasicEnergyHarvester object.
  */
 class BasicEnergyHarvesterHelper : public EnergyHarvesterHelper
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/basic-energy-source-helper.h ns-3.44/src/energy/helper/basic-energy-source-helper.h
--- ns-3.43/src/energy/helper/basic-energy-source-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/basic-energy-source-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -17,8 +17,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Creates a BasicEnergySource object.
+ * @ingroup energy
+ * @brief Creates a BasicEnergySource object.
  *
  */
 class BasicEnergySourceHelper : public EnergySourceHelper
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/energy-harvester-container.h ns-3.44/src/energy/helper/energy-harvester-container.h
--- ns-3.43/src/energy/helper/energy-harvester-container.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/energy-harvester-container.h	2025-03-09 16:55:49.375371000 -0700
@@ -24,14 +24,14 @@
 class EnergyHarvester;
 
 /**
- * \ingroup energy
- * \brief Holds a vector of ns3::EnergyHarvester pointers.
+ * @ingroup energy
+ * @brief Holds a vector of ns3::EnergyHarvester pointers.
  *
  * EnergyHarvesterContainer returns a list of EnergyHarvester pointers
  * installed on a node. Users can use this list to access EnergyHarvester
  * objects to obtain the total energy harvested on a node easily.
  *
- * \see NetDeviceContainer
+ * @see NetDeviceContainer
  *
  */
 class EnergyHarvesterContainer : public Object
@@ -42,8 +42,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     /**
@@ -53,7 +53,7 @@
     ~EnergyHarvesterContainer() override;
 
     /**
-     * \param harvester Pointer to an EnergyHarvester.
+     * @param harvester Pointer to an EnergyHarvester.
      *
      * Creates a EnergyHarvesterContainer with exactly one EnergyHarvester
      * previously instantiated.
@@ -61,7 +61,7 @@
     EnergyHarvesterContainer(Ptr<EnergyHarvester> harvester);
 
     /**
-     * \param harvesterName Name of EnergyHarvester.
+     * @param harvesterName Name of EnergyHarvester.
      *
      * Creates an EnergyHarvesterContainer with exactly one EnergyHarvester
      * previously instantiated and assigned a name using the Object name service.
@@ -70,77 +70,77 @@
     EnergyHarvesterContainer(std::string harvesterName);
 
     /**
-     * \param a A EnergyHarvesterContainer.
-     * \param b Another EnergyHarvesterContainer.
+     * @param a A EnergyHarvesterContainer.
+     * @param b Another EnergyHarvesterContainer.
      *
      * Creates a EnergyHarvesterContainer by concatenating EnergyHarvesterContainer b
      * to EnergyHarvesterContainer a.
      *
-     * \note Can be used to concatenate 2 Ptr<EnergyHarvester> directly. C++
+     * @note Can be used to concatenate 2 Ptr<EnergyHarvester> directly. C++
      * will be calling EnergyHarvesterContainer constructor with Ptr<EnergyHarvester>
      * first.
      */
     EnergyHarvesterContainer(const EnergyHarvesterContainer& a, const EnergyHarvesterContainer& b);
 
     /**
-     * \brief Get an iterator which refers to the first EnergyHarvester pointer
+     * @brief Get an iterator which refers to the first EnergyHarvester pointer
      * in the container.
      *
-     * \returns An iterator which refers to the first EnergyHarvester in container.
+     * @returns An iterator which refers to the first EnergyHarvester in container.
      *
      * EnergyHarvesters can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the EnergyHarvesters.
      *
-     * \code
+     * @code
      *   EnergyHarvesterContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some EnergyHarvester method
      *     }
-     * \endcode
+     * @endcode
      */
     Iterator Begin() const;
 
     /**
-     * \brief Get an iterator which refers to the last EnergyHarvester pointer
+     * @brief Get an iterator which refers to the last EnergyHarvester pointer
      * in the container.
      *
-     * \returns An iterator which refers to the last EnergyHarvester in container.
+     * @returns An iterator which refers to the last EnergyHarvester in container.
      *
      * EnergyHarvesters can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the EnergyHarvesters.
      *
-     * \code
+     * @code
      *   EnergyHarvesterContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some EnergyHarvester method
      *     }
-     * \endcode
+     * @endcode
      */
     Iterator End() const;
 
     /**
-     * \brief Get the number of Ptr<EnergyHarvester> stored in this container.
+     * @brief Get the number of Ptr<EnergyHarvester> stored in this container.
      *
-     * \returns The number of Ptr<EnergyHarvester> stored in this container.
+     * @returns The number of Ptr<EnergyHarvester> stored in this container.
      */
     uint32_t GetN() const;
 
     /**
-     * \brief Get the i-th Ptr<EnergyHarvester> stored in this container.
+     * @brief Get the i-th Ptr<EnergyHarvester> stored in this container.
      *
-     * \param i Index of the requested Ptr<EnergyHarvester>.
-     * \returns The requested Ptr<EnergyHarvester>.
+     * @param i Index of the requested Ptr<EnergyHarvester>.
+     * @returns The requested Ptr<EnergyHarvester>.
      */
     Ptr<EnergyHarvester> Get(uint32_t i) const;
 
     /**
-     * \param container Another EnergyHarvesterContainer.
+     * @param container Another EnergyHarvesterContainer.
      *
      * Appends the contents of another EnergyHarvesterContainer to the end of
      * this EnergyHarvesterContainer.
@@ -148,22 +148,22 @@
     void Add(EnergyHarvesterContainer container);
 
     /**
-     * \brief Append a single Ptr<EnergyHarvester> to the end of this container.
+     * @brief Append a single Ptr<EnergyHarvester> to the end of this container.
      *
-     * \param harvester Pointer to an EnergyHarvester.
+     * @param harvester Pointer to an EnergyHarvester.
      */
     void Add(Ptr<EnergyHarvester> harvester);
 
     /**
-     * \brief Append a single Ptr<EnergyHarvester> referred to by its object
+     * @brief Append a single Ptr<EnergyHarvester> referred to by its object
      * name to the end of this container.
      *
-     * \param harvesterName Name of EnergyHarvester object.
+     * @param harvesterName Name of EnergyHarvester object.
      */
     void Add(std::string harvesterName);
 
     /**
-     * \brief Removes all elements in the container.
+     * @brief Removes all elements in the container.
      */
     void Clear();
 
@@ -171,7 +171,7 @@
     void DoDispose() override;
 
     /**
-     * \brief Calls Object::Initialize () for all EnergySource objects.
+     * @brief Calls Object::Initialize () for all EnergySource objects.
      */
     void DoInitialize() override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/energy-harvester-helper.h ns-3.44/src/energy/helper/energy-harvester-helper.h
--- ns-3.43/src/energy/helper/energy-harvester-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/energy-harvester-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -24,8 +24,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Creates EnergyHarvester objects.
+ * @ingroup energy
+ * @brief Creates EnergyHarvester objects.
  *
  * This class creates and installs energy harvesters onto network nodes.
  *
@@ -36,32 +36,32 @@
     virtual ~EnergyHarvesterHelper();
 
     /**
-     * \param name Name of attribute to set.
-     * \param v Value of the attribute.
+     * @param name Name of attribute to set.
+     * @param v Value of the attribute.
      *
      * Sets one of the attributes of underlying EnergyHarvester.
      */
     virtual void Set(std::string name, const AttributeValue& v) = 0;
 
     /**
-     * \param source Pointer to the energy source where EnergyHarvester will be installed.
-     * \returns An EnergyHarvesterContainer which contains all the EnergyHarvesters.
+     * @param source Pointer to the energy source where EnergyHarvester will be installed.
+     * @returns An EnergyHarvesterContainer which contains all the EnergyHarvesters.
      *
      * This function installs an EnergyHarvester onto an energy source.
      */
     energy::EnergyHarvesterContainer Install(Ptr<energy::EnergySource> source) const;
 
     /**
-     * \param sourceContainer List of nodes where EnergyHarvester will be installed.
-     * \returns An EnergyHarvesterContainer which contains all the EnergyHarvester.
+     * @param sourceContainer List of nodes where EnergyHarvester will be installed.
+     * @returns An EnergyHarvesterContainer which contains all the EnergyHarvester.
      *
      * This function installs an EnergyHarvester onto a list of energy sources.
      */
     energy::EnergyHarvesterContainer Install(energy::EnergySourceContainer sourceContainer) const;
 
     /**
-     * \param sourceName Name of node where EnergyHarvester will be installed.
-     * \returns An EnergyHarvesterContainer which contains all the EnergyHarvesters.
+     * @param sourceName Name of node where EnergyHarvester will be installed.
+     * @returns An EnergyHarvesterContainer which contains all the EnergyHarvesters.
      *
      * This function installs an EnergyHarvester onto a node.
      */
@@ -69,8 +69,8 @@
 
   private:
     /**
-     * \param source Pointer to node where the energy harvester is to be installed.
-     * \returns Pointer to the created EnergyHarvester.
+     * @param source Pointer to node where the energy harvester is to be installed.
+     * @returns Pointer to the created EnergyHarvester.
      *
      * Child classes of EnergyHarvesterHelper only have to implement this function,
      * to create and aggregate an EnergyHarvester object onto a single node. Rest of
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/energy-model-helper.h ns-3.44/src/energy/helper/energy-model-helper.h
--- ns-3.43/src/energy/helper/energy-model-helper.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/energy-model-helper.h	2025-03-09 16:55:49.375371000 -0700
@@ -25,8 +25,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Creates EnergySource objects.
+ * @ingroup energy
+ * @brief Creates EnergySource objects.
  *
  * This class creates and installs an energy source onto network nodes.
  * Multiple sources can exist on a network node.
@@ -38,48 +38,48 @@
     virtual ~EnergySourceHelper();
 
     /**
-     * \param name Name of attribute to set.
-     * \param v Value of the attribute.
+     * @param name Name of attribute to set.
+     * @param v Value of the attribute.
      *
      * Sets one of the attributes of underlying EnergySource.
      */
     virtual void Set(std::string name, const AttributeValue& v) = 0;
 
     /**
-     * \param node Pointer to the node where EnergySource will be installed.
-     * \returns An EnergySourceContainer which contains all the EnergySources.
+     * @param node Pointer to the node where EnergySource will be installed.
+     * @returns An EnergySourceContainer which contains all the EnergySources.
      *
      * This function installs an EnergySource onto a node.
      */
     energy::EnergySourceContainer Install(Ptr<Node> node) const;
 
     /**
-     * \param c List of nodes where EnergySource will be installed.
-     * \returns An EnergySourceContainer which contains all the EnergySources.
+     * @param c List of nodes where EnergySource will be installed.
+     * @returns An EnergySourceContainer which contains all the EnergySources.
      *
      * This function installs an EnergySource onto a list of nodes.
      */
     energy::EnergySourceContainer Install(NodeContainer c) const;
 
     /**
-     * \param nodeName Name of node where EnergySource will be installed.
-     * \returns An EnergySourceContainer which contains all the EnergySources.
+     * @param nodeName Name of node where EnergySource will be installed.
+     * @returns An EnergySourceContainer which contains all the EnergySources.
      *
      * This function installs an EnergySource onto a node.
      */
     energy::EnergySourceContainer Install(std::string nodeName) const;
 
     /**
-     * \brief This function installs an EnergySource on all nodes in simulation.
+     * @brief This function installs an EnergySource on all nodes in simulation.
      *
-     * \returns An EnergySourceContainer which contains all the EnergySources.
+     * @returns An EnergySourceContainer which contains all the EnergySources.
      */
     energy::EnergySourceContainer InstallAll() const;
 
   private:
     /**
-     * \param node Pointer to node where the energy source is to be installed.
-     * \returns Pointer to the created EnergySource.
+     * @param node Pointer to node where the energy source is to be installed.
+     * @returns Pointer to the created EnergySource.
      *
      * Child classes of EnergySourceHelper only have to implement this function,
      * to create and aggregate an EnergySource object onto a single node. Rest of
@@ -90,8 +90,8 @@
 };
 
 /**
- * \ingroup energy
- * \brief Creates DeviceEnergyModel objects.
+ * @ingroup energy
+ * @brief Creates DeviceEnergyModel objects.
  *
  * This class helps to create and install DeviceEnergyModel onto NetDevice. A
  * DeviceEnergyModel is connected to a NetDevice (or PHY object) by callbacks.
@@ -106,17 +106,17 @@
     virtual ~DeviceEnergyModelHelper();
 
     /**
-     * \param name Name of attribute to set.
-     * \param v Value of the attribute.
+     * @param name Name of attribute to set.
+     * @param v Value of the attribute.
      *
      * Sets one of the attributes of underlying DeviceEnergyModel.
      */
     virtual void Set(std::string name, const AttributeValue& v) = 0;
 
     /**
-     * \param device Pointer to the NetDevice to install DeviceEnergyModel.
-     * \param source The EnergySource the DeviceEnergyModel will be using.
-     * \returns An DeviceEnergyModelContainer contains all the DeviceEnergyModels.
+     * @param device Pointer to the NetDevice to install DeviceEnergyModel.
+     * @param source The EnergySource the DeviceEnergyModel will be using.
+     * @returns An DeviceEnergyModelContainer contains all the DeviceEnergyModels.
      *
      * Installs an DeviceEnergyModel with a specified EnergySource onto a
      * xNetDevice.
@@ -125,11 +125,11 @@
                                                Ptr<energy::EnergySource> source) const;
 
     /**
-     * \param deviceContainer List of NetDevices to be install DeviceEnergyModel
+     * @param deviceContainer List of NetDevices to be install DeviceEnergyModel
      * objects.
-     * \param sourceContainer List of EnergySource the DeviceEnergyModel will be
+     * @param sourceContainer List of EnergySource the DeviceEnergyModel will be
      * using.
-     * \returns An DeviceEnergyModelContainer contains all the DeviceEnergyModels.
+     * @returns An DeviceEnergyModelContainer contains all the DeviceEnergyModels.
      *
      * Installs DeviceEnergyModels with specified EnergySources onto a list of
      * NetDevices.
@@ -139,9 +139,9 @@
 
   private:
     /**
-     * \param device The net device corresponding to DeviceEnergyModel object.
-     * \param source The EnergySource the DeviceEnergyModel will be using.
-     * \returns Pointer to the created DeviceEnergyModel.
+     * @param device The net device corresponding to DeviceEnergyModel object.
+     * @param source The EnergySource the DeviceEnergyModel will be using.
+     * @returns Pointer to the created DeviceEnergyModel.
      *
      * Child classes of DeviceEnergyModelHelper only have to implement this
      * function, to create and aggregate an DeviceEnergyModel object onto a single
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/helper/energy-source-container.h ns-3.44/src/energy/helper/energy-source-container.h
--- ns-3.43/src/energy/helper/energy-source-container.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/helper/energy-source-container.h	2025-03-09 16:55:49.375371000 -0700
@@ -23,14 +23,14 @@
 {
 
 /**
- * \ingroup energy
- * \brief Holds a vector of ns3::EnergySource pointers.
+ * @ingroup energy
+ * @brief Holds a vector of ns3::EnergySource pointers.
  *
  * EnergySourceHelper returns a list of EnergySource pointers installed onto a
  * node. Users can use this list to access EnergySource objects to obtain total
  * energy consumption on a node easily.
  *
- * \see NetDeviceContainer
+ * @see NetDeviceContainer
  *
  */
 class EnergySourceContainer : public Object
@@ -41,8 +41,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     /**
@@ -52,7 +52,7 @@
     ~EnergySourceContainer() override;
 
     /**
-     * \param source Pointer to an EnergySource.
+     * @param source Pointer to an EnergySource.
      *
      * Creates an EnergySourceContainer with exactly one EnergySource previously
      * instantiated.
@@ -60,7 +60,7 @@
     EnergySourceContainer(Ptr<EnergySource> source);
 
     /**
-     * \param sourceName Name of EnergySource.
+     * @param sourceName Name of EnergySource.
      *
      * Creates an EnergySourceContainer with exactly one EnergySource previously
      * instantiated and assigned a name using the Object name service. This
@@ -69,76 +69,76 @@
     EnergySourceContainer(std::string sourceName);
 
     /**
-     * \param a A EnergySourceContainer.
-     * \param b Another EnergySourceContainer.
+     * @param a A EnergySourceContainer.
+     * @param b Another EnergySourceContainer.
      *
      * Creates an EnergySourceContainer by concatenating EnergySourceContainer b
      * to EnergySourceContainer a.
      *
-     * \note Can be used to concatenate 2 Ptr<EnergySource> directly. C++ will be
+     * @note Can be used to concatenate 2 Ptr<EnergySource> directly. C++ will be
      * calling EnergySourceContainer constructor with Ptr<EnergySource> first.
      */
     EnergySourceContainer(const EnergySourceContainer& a, const EnergySourceContainer& b);
 
     /**
-     * \brief Get an iterator which refers to the first EnergySource pointer in
+     * @brief Get an iterator which refers to the first EnergySource pointer in
      * the container.
      *
-     * \returns An iterator which refers to the first EnergySource in container.
+     * @returns An iterator which refers to the first EnergySource in container.
      *
      * EnergySources can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the EnergySources.
      *
-     * \code
+     * @code
      *   EnergySourceContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some EnergySource method
      *     }
-     * \endcode
+     * @endcode
      */
     Iterator Begin() const;
 
     /**
-     * \brief Get an iterator which refers to the last EnergySource pointer in
+     * @brief Get an iterator which refers to the last EnergySource pointer in
      * the container.
      *
-     * \returns An iterator which refers to the last EnergySource in container.
+     * @returns An iterator which refers to the last EnergySource in container.
      *
      * EnergySources can be retrieved from the container in two ways. First,
      * directly by an index into the container, and second, using an iterator.
      * This method is used in the iterator method and is typically used in a
      * for-loop to run through the EnergySources.
      *
-     * \code
+     * @code
      *   EnergySourceContainer::Iterator i;
      *   for (i = container.Begin (); i != container.End (); ++i)
      *     {
      *       (*i)->method ();  // some EnergySource method
      *     }
-     * \endcode
+     * @endcode
      */
     Iterator End() const;
 
     /**
-     * \brief Get the number of Ptr<EnergySource> stored in this container.
+     * @brief Get the number of Ptr<EnergySource> stored in this container.
      *
-     * \returns The number of Ptr<EnergySource> stored in this container.
+     * @returns The number of Ptr<EnergySource> stored in this container.
      */
     uint32_t GetN() const;
 
     /**
-     * \brief Get the i-th Ptr<EnergySource> stored in this container.
+     * @brief Get the i-th Ptr<EnergySource> stored in this container.
      *
-     * \param i Index of the requested Ptr<EnergySource>.
-     * \returns The requested Ptr<EnergySource>.
+     * @param i Index of the requested Ptr<EnergySource>.
+     * @returns The requested Ptr<EnergySource>.
      */
     Ptr<EnergySource> Get(uint32_t i) const;
 
     /**
-     * \param container Another EnergySourceContainer to append.
+     * @param container Another EnergySourceContainer to append.
      *
      * Appends the contents of another EnergySourceContainer to the end of this
      * EnergySourceContainer.
@@ -146,17 +146,17 @@
     void Add(EnergySourceContainer container);
 
     /**
-     * \brief Append a single Ptr<EnergySource> to the end of this container.
+     * @brief Append a single Ptr<EnergySource> to the end of this container.
      *
-     * \param source Pointer to an EnergySource.
+     * @param source Pointer to an EnergySource.
      */
     void Add(Ptr<EnergySource> source);
 
     /**
-     * \brief Append a single Ptr<EnergySource> referred to by its object name to
+     * @brief Append a single Ptr<EnergySource> referred to by its object name to
      * the end of this container.
      *
-     * \param sourceName Name of EnergySource object.
+     * @param sourceName Name of EnergySource object.
      */
     void Add(std::string sourceName);
 
@@ -164,7 +164,7 @@
     void DoDispose() override;
 
     /**
-     * \brief Calls Object::Start () for all EnergySource objects.
+     * @brief Calls Object::Start () for all EnergySource objects.
      */
     void DoInitialize() override;
 
